# sebae
A simple tool for generating Python C/C++ extension boilerplate code.

Note the boilerplate code generated by sebae is self-contained. 
The only necessary dependency is Python itself.

## Usage
### Installation
```bash
pip install sebae
```
### Create boilerplate project
Initialize a boilerplate project
```bash
> sebae init [optional project directory]
Select init schema:
1.pybind11
selection ([q]uit):
> 1
Package name:
> test_pkg
Author:
> actcwlf
Author email:
> abc@def.com
Initializing pybind11 schema project test_pkg
Finish!
```

If no project directory is specified, sebae will use `pybind11_project` as default project directory.

### Install C++ extension
```bash
cd pybind11_project
pip install .
```

### Use the extension in python
To avoid name conflict, make sure you are not in project directory
```bash
cd ..
python
```

In python cmd
```bash
Python 3.7 ....
>>> import test_pkg
>>> test_pkg.add(1, 2)
3.0
```



